name: "nergi_classcolor"
revision: 1
description: "dark/light fruits classification"

stages {
  name: "item"
  type: SOURCE_CUSTOM
#  custom_param {
#    proxy: "test:ConcatCustomSource"
#    args: "nergi_segmentation.apl"
#  }
}

stages {
  name: "item_hsv"
  type: COLORSPACE
  input: "item"
  colorspace_param {
    color_format: HSV
  }
}

stages {
  name: "color"
  type: COLOR_CLASSIFIER
  input: "item_hsv"

  color_classifier_param {
    class { # chiari
      range {
        lower_bound { d:0   d:0   d:91 }
        upper_bound { d:180 d:255 d:255 }
      }
    }

    class { # scuri
      range {
        lower_bound { d:0   d:0   d:0 }
        upper_bound { d:180 d:255 d:90 }
      }
    }
  }
}
